--------------------------------------------------------------------------------
-- Module Declaration
--

local mod = BigWigs:NewBoss("Yor'sahj Priority", 824)
if not mod then return end
mod:RegisterEnableMob(55312)
mod.toggleOptions = {"blobs"}

local YL = BigWigs.bossCore:GetModule("Yor'sahj the Unsleeping"):GetLocale()

--------------------------------------------------------------------------------
-- Localization
--

local L = mod:NewLocale("enUS", true)
if L then
	L.modname = "Yor'sahj Priority"

	L.blobs = "Blobs"
	L.blobs_desc = "Tells you which blob to kill."
	L.blobs_icon = "achievement_doublerainbow"
	L.blobs_message = "KILL >>%s<<"
end
L = mod:GetLocale()
mod.displayName = L["modname"]

--------------------------------------------------------------------------------
-- Initialization
--

function mod:OnBossEnable()
	if not self.db.profile.blobsNorm then
		self.db.profile.blobsNorm = {
			[105420] = "green",
			[105435] = "green",
			[105436] = "green",
			[105437] = "purple",
			[105439] = "blue",
			[105440] = "purple",
		}
	end
	--[[if not self.db.profile.blobsHC then
		self.db.profile.blobsHC = {
			[105420] = green,
			[105435] = green,
			[105436] = green,
			[105437] = purple,
			[105439] = blue,
			[105440] = purple,
		}
	end
	if not self.db.profile.blobsLFR then
		self.db.profile.blobsLFR = {
			[105420] = green,
			[105435] = green,
			[105436] = green,
			[105437] = purple,
			[105439] = blue,
			[105440] = purple,
		}]]

	self:RegisterEvent("UNIT_SPELLCAST_SUCCEEDED", "Blobs")
	self:Death("Disable", 55312)
end

--------------------------------------------------------------------------------
-- Event Handlers
--

do
	local prev = 0
	function mod:Blobs(_, unit, spellName, _, _, spellId)
		if unit == "boss1" and self.db.profile.blobsNorm[spellId] then
			local t = GetTime()
			if t-prev > 5 then
				prev = t
				if self:LFR() then
					--self:Message("blobs", L["blobs_message"]:format(YL[self.db.profile.blobsLFR[spellId]]), "Important", L["blobs_icon"])
					--self:Message("blobs", L["blobs_message"]:format(YL[self.db.profile.blobsLFR[spellId]]), "Important", L["blobs_icon"])
					return
				end
				if self:Difficulty() > 2 then
					--self:Message("blobs", L["blobs_message"]:format(YL[self.db.profile.blobsHC[spellId]]), "Important", L["blobs_icon"])
					--self:Message("blobs", L["blobs_message"]:format(YL[self.db.profile.blobsHC[spellId]]), "Important", L["blobs_icon"])
				else
					self:Message("blobs", L["blobs_message"]:format(YL[self.db.profile.blobsNorm[spellId]]), "Important", L["blobs_icon"])
					self:Message("blobs", L["blobs_message"]:format(YL[self.db.profile.blobsNorm[spellId]]), "Important", L["blobs_icon"])
				end
			end
		end
	end
end

